{% extends 'back.html.twig' %}
{% block title %}Recette index{% endblock %}

{% block body %}
    <h1 class="my-3 text-primary text-center">Recettes</h1>

    <div class="m-3">
        <a href="{{ path('admin_recette_new') }}" class="btn btn-secondary text-white">Créer nouvelle recette</a>
    </div>

    <table class="table table-striped text-center">
        <thead>
            <tr>
                <th>Nom</th>
                <th>Description</th>
                <th>Note</th>
                <th>Personne(s)</th>
                <th>Image</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for recette in recettes %}
            <tr>
                <td>{{ recette.name }}</td>
                <td style="max-width: 50vh;">{{ recette.description }}</td>
                <td>{{ recette.grade }}</td>
                <td>{{ recette.person }}</td>
                <td>
                    {% if recette.fileName %}
                        <img src="{{ vich_uploader_asset(recette, 'imageFile') | imagine_filter('little') }}" alt="card-img-top" class="img-fluid">
                    {% else %}
                        <img src="{{ 'images/empty.jpg' | imagine_filter('little') }}" alt="card-img-top" class="img-fluid">
                    {% endif %}
                </td>
                <td>
                    <div class="w-100 h-100 d-flex align-items-center justify-content-around">
                        <a href="{{ path('admin_recette_show', {'id': recette.id}) }}" class="btn btn-secondary text-white">Voir</a>
                        <a href="{{ path('admin_recette_edit', {'id': recette.id}) }}" class="btn btn-primary text-white">Éditer</a>
                        {{ include('admin/recette/_delete_form.html.twig') }}
                    </div>
                </td>
            </tr>
        {% else %}
            <tr class="text-center">
                <td colspan="7">Il n'y a pas encore de recette.</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}
